using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using libmetar.Services;

namespace EFB.Metar
{
    public static class Metar
    {
        private static MetarService metarService { get; set; } = new MetarService();
        private static TafService tafService { get; set; } = new TafService();
        

        public static async Task<string> GetMETAR(string ICAO){
            return (await metarService.GetRawAsync(ICAO)).Raw;
        }

        public static async Task<List<string>> GetTAF(string ICAO){
            var downloadedTAF = (await tafService.GetRawAsync(ICAO)).RawSplit;
            List<string> TAF = new List<string>();
            
            foreach (var line in downloadedTAF)
            {
                TAF.Add(line);
            }
            return TAF;
        }


    }
}